Early bird tickets for Inspire 2023 are now available! Discounted pricing closes on January 31st. Save your spot!

Alteryx Auto Insights Knowledge Base

Definitive answers from Auto Insights experts

Alteryx Auto Insights error: Trying to run plugin built with incompatible Python SDK version (1.5.XXX). Rebuild it with Python SDK version 2.0.0 or higher to avoid errors

nathan_love
Alteryx
Alteryx
Created
Error: Trying to run plugin built with incompatible Python SDK version (1.5.XXX). Rebuild it with Python SDK version 2.0.0 or higher to avoid errors 
image.pngimage.png

Cause: When upgrading your Designer to v2022.3, a new version of the Auto Insights Uploader tool is pre-installed as part of v2022.3. However, this new version of the Uploader tool is not compatible with manually installed previous versions. Users that had previously installed AAI Uploader manually and then upgraded to Designer 2022.3 will face an issue because the manually installed version takes precedence over the included AAI Uploader in 2022.3 and may cause Designer to freeze. 



Resolution: Remove the existing (previously) manually installed Uploader tool.

To delete the Uploader that you previously installed, delete these two folders:

  1. C:\Users\{YOUR_USERNAME}\AppData\Roaming\Alteryx\Tools\AutoInsightsUploader AND

  2. C:\ProgramData\Alteryx\Tools\AutoInsightsUploader. If one of them does not exist it is okay.